import Foundation
from Lib.Races import Races
from Lib.Racesclass import RaceInfo

Races["Federation"] = RaceInfo("Federation")
Races["Federation"].AddFriendly("Klingon")
Races["Federation"].AddEnemy("Cardassian")
Races["Federation"].AddEnemy("Dominion")
Races["Federation"].AddEnemy("Breen")
Races["Federation"].AddEnemy("Borg")
Races["Federation"].AddEnemy("Romulan")

# Add Fed ships from the foundation
FdtnShips = Foundation.shipList
if FdtnShips:
	for Ship in FdtnShips:
		if not Ship.MenuGroup():
			continue
        	if (Ship.MenuGroup() == "Fed Ships"):
			Races["Federation"].AddShip(Ship.GetShipFile())

# Ship names from http://armada.filefront.com/file.info?ID=20882
# used a few unix commands (sed, tr, awk) to get the > "USS Shipname", < Format.
mynameslist = (
"USS Musashi",
"USS Kaneda",
"USS Murasame",
"USS Okinawa",
"USS Samurai",
"USS Taiho",
"USS Costron",
"USS Rabin",
"USS Douglas",
"USS Ruger",
"USS Hamilton",
"USS Taggart",
"USS Messerschmitt",
"USS Armand",
"USS Regatta",
"USS Dragonfly",
"USS Morningstar",
"USS Thunderchild",
"USS Stormwind",
"USS Kamehameha",
"USS Firebird",
"USS Peacekeeper",
"USS Zephyr",
"USS Relentless",
"USS Constellation",
"USS Corsair",
"USS Continent",
"USS Fury",
"USS Halo",
"USS Faithful",
"USS Cerberus",
"USS Pugachev",
"USS Mandible",
"USS Trabant",
"USS Osprey",
"USS Albedo",
"USS Glasgow",
"USS Monk",
"USS Hero",
"USS Baron",
"USS Chief",
"USS Monarch",
"USS Tyrant",
"USS Berenice",
"USS Imperator",
"USS Varyag",
"USS Gorkyy",
"USS Kitty",
"USS Derivate",
"USS Guardian",
"USS Patria",
"USS Landis",
"USS Ceasar",
"USS K'elmon",
"USS Callisto",
"USS Emden",
"USS Arachnia",
"USS Galahad",
"USS Lafayette",
"USS Spector",
"USS Goliath",
"USS Darter",
"USS Saint",
"USS Kapteyn",
"USS Coventry",
"USS Mrija",
"USS Straggler",
"USS Brussels",
"USS Mittanic",
"USS Torbay",
"USS Greyhound",
"USS Nemesis",
"USS Reliant",
"USS Active",
"USS Harrier",
"USS Macedonia",
"USS Proteus",
"USS Electra",
"USS New",
"USS Falstaff",
"USS Falkland",
"USS Shooter",
"USS Haywood",
"USS Errant",
"USS Skipper",
"USS Tomahawk",
"USS Cobra",
"USS Alam'ak",
"USS Enforcer",
"USS Mace",
"USS Raptor",
"USS Tacoma",
"USS Socrates",
"USS Devastator",
"USS Honorious",
"USS Wrangler",
"USS Usurpator",
"USS Hope",
"USS Ptolemy",
"USS Stallion",
"USS Coronet",
"USS Roman",
"USS Tereshkova",
"USS Defence",
"USS Territory",
"USS Protege",
"USS Foxhound",
"USS Tanzania",
"USS Rivet",
"USS Behemoth",
"USS Al",
"USS Gambit",
"USS Forger",
"USS Glory",
"USS Adder",
"USS Sulaco",
"USS Bounty",
"USS Nichter",
"USS Impervious",
"USS Prague",
"USS Mach",
"USS MacAffee",
"USS Sidewinder",
"USS Eureka",
"USS Hegemony",
"USS Register",
"USS Intimidator",
"USS Tuskeegee",
"USS Dominator",
"USS Spitfire",
"USS Vampire",
"USS Mystery",
"USS Fiscus",
"USS Tracer",
"USS Madivikhia",
"USS Caravelle",
"USS Leutner",
"USS Jupiter",
"USS Saracen",
"USS Kirov",
"USS Largo",
"USS Sphinx",
"USS Honduras",
"USS Terrier",
"USS Hustler",
"USS Vega",
"USS Gatling",
"USS Kingston",
"USS Kresta",
"USS Pele",
"USS Fireball",
"USS John",
"USS John",
"USS Thomas",
"USS Kuiper",
"USS Malice",
"USS Seneca",
"USS Cheron",
"USS Georgia",
"USS Alliance",
"USS Laurent",
"USS Gatekeeper",
"USS Passat",
"USS Carpathians",
"USS Longbow",
"USS Rockwell",
"USS Detroit",
"USS Marauder",
"USS Repetition",
"USS Stromming",
"USS Custody",
"USS Accipiter",
"USS Talos",
"USS Neptune",
"USS Conducter",
"USS Blizzard",
"USS Palisades",
"USS Astra",
"USS Mako",
"USS Zimmerman",
"USS Potemkin",
"USS Symphony",
"USS Typhon",
"USS Ace",
"USS Trident",
"USS Earhart",
"USS Cicero",
"USS Marshal",
"USS Controller",
"USS Assassin",
"USS Brigadier",
"USS Revere",
"USS Panama",
"USS Popolous",
"USS Arizona",
"USS Senior",
"USS Jaguar",
"USS Bozeman",
"USS Sebring",
"USS Arcadia",
"USS Vizier",
"USS Persia",
"USS Reg",
"USS Invader",
"USS Brisbane",
"USS Westminster",
"USS Agamemnon",
"USS Golf",
"USS Wyvern",
"USS Bulldog",
"USS Thresher",
"USS Silversides",
"USS Scarlet",
"USS Memphis",
"USS Bristol",
"USS Stirling",
"USS Dorado",
"USS Vagabond",
"USS Bronco",
"USS Surya",
"USS Blackbeard",
"USS Aquila",
"USS Golden",
"USS Bismarck",
"USS Nimrod",
"USS Nelson",
"USS Virgo",
"USS Ingram",
"USS Moderator",
"USS Tenochtitlan",
"USS Akira",
"USS Kongo",
"USS Atlantis",
"USS Wafa",
"USS Knight",
"USS Bolivia",
"USS Vanguard",
"USS Icarus",
"USS Valiant",
"USS Carthage",
"USS Pendant",
"USS Testify",
"USS Saturn",
"USS Almagest",
"USS Lynx",
"USS Winchester",
"USS Wizard",
"USS Seven",
"USS Weapon",
"USS Escort",
"USS Zeppelin",
"USS Giant",
"USS Britannia",
"USS Melbourne",
"USS Shakaar",
"USS Ensign",
"USS Viking",
"USS Viator",
"USS Harmony",
"USS Voodoo",
"USS Maquis",
"USS Flash",
"USS Torque",
"USS Iapetus",
"USS Stinger",
"USS Thunderer",
"USS Blackbird",
"USS Mir'metos",
"USS Cyclone",
"USS Aura",
"USS Mirror",
"USS Cutter",
"USS Vector",
"USS Ranger",
"USS Sapphire",
"USS Zenith",
"USS Merlin",
"USS Chronicle",
"USS Sherwood",
"USS Fox",
"USS Clipper",
"USS Bravery",
"USS Mermaid",
"USS Buffalo",
"USS Sahara",
"USS Carina",
"USS Unreal",
"USS Integrity",
"USS Silver",
"USS Tiamat",
"USS Impossible",
"USS Borealis",
"USS Tuareg",
"USS Rand",
"USS Fearless",
"USS Voroth",
"USS Jackson",
"USS Fantaghiro",
"USS Mantell",
"USS Canard",
"USS Solitaire",
"USS Rodney",
"USS Hercules",
"USS Corvette",
"USS Procter",
"USS Altair",
"USS Vela",
"USS Cruiser",
"USS Razor",
"USS Taurus",
"USS Triton",
"USS Wolverine",
"USS Hornet",
"USS Avenger",
"USS Valiant",
"USS Galant",
"USS Vigilant",
"USS Adjuvant",
"USS Arrogant",
"USS Firebrand",
"USS Repulse",
"USS Sierra",
"USS Horizon",
"USS Antares",
"USS Draken",
"USS Carver",
"USS Pretoria",
"USS Newcastle",
"USS Hamburg",
"USS Odessa",
"USS Casablanca",
"USS Hotspur",
"USS Privateer",
"USS Marksman",
"USS Destiny",
"USS Rogue",
"USS Sparrow",
"USS Gemini",
"USS Palace",
"USS Mohawk",
"USS Legacy",
"USS De",
"USS Galleon",
"USS Juggernaut",
"USS Falcon",
"USS Pike",
"USS Aurora",
"USS Hirosaya",
"USS Wyoming",
"USS Mogul",
"USS Agrippa",
"USS Martyr",
"USS Helix",
"USS Silver",
"USS Flanker",
"USS Imperia",
"USS Temeraire",
"USS Beowulf",
"USS Intruder",
"USS Assault",
"USS Alyanov",
"USS Hussar",
"USS Highlander",
"USS Mimas",
"USS Cavalry",
"USS Confidence",
"USS Sundance",
"USS Walker",
"USS Hydra",
"USS Argonaut",
"USS Pearl",
"USS Rebellion",
"USS Pandemonia",
"USS Nike",
"USS Charger",
"USS Kaga",
"USS Excalibur",
"USS Champion",
"USS Soyuz",
"USS Mustang",
"USS Whistler",
"USS Odin",
"USS Sniper",
"USS Demon",
"USS Griffon",
"USS Banshee",
"USS Opponent",
"USS Ulan",
"USS Immortal",
"USS Ascendent",
"USS Deimnos",
"USS Endurance",
"USS Genie",
"USS Vendetta",
"USS Tethys",
"USS Ontario",
"USS Mosaic",
"USS Targa",
"USS Bodyguard",
"USS Harris",
"USS Foreigner",
"USS Redeemer",
"USS Styx",
"USS Mosquito",
"USS Marx",
"USS Cavalier",
"USS Centurion",
"USS Cyprus",
"USS Messenger",
"USS Intrepid",
"USS Sojourner",
"USS Buran",
"USS Pioneer",
"USS Hermes",
"USS Janus",
"USS Titania",
"USS Ajax",
"USS Bellerophon",
"USS Pandora",
"USS Abrams",
"USS Coronado",
"USS Eclipse",
"USS Mount",
"USS Meudon",
"USS Entente",
"USS Copenhagen",
"USS Rainbow",
"USS Jakov",
"USS Italy",
"USS Malmstrom",
"USS Sun",
"USS Africa",
"USS Curie",
"USS Bachelor",
"USS Cologne",
"USS Asimov",
"USS Fra",
"USS Testimony",
"USS Legend",
"USS Renown",
"USS Eagle",
"USS Miranda",
"USS Loki",
"USS Da",
"USS Attica",
"USS Polaris",
"USS Sirius",
"USS Akula",
"USS Lancer",
"USS Daystrom",
"USS Peter",
"USS Prophecy",
"USS Supreme",
"USS Marseilles",
"USS Alamo",
"USS Columbia",
"USS Tornado",
"USS Berengaria",
"USS Stargazer",
"USS Geronimo",
"USS Justice",
"USS Matador",
"USS New",
"USS Settler",
"USS Clancy",
"USS Valkyrie",
"USS Harpoon",
"USS Serpentine",
"USS Skaggerak",
"USS Rocketeer",
"USS Scotland",
"USS Viper",
"USS Istanbul",
"USS Bright",
"USS Galaxy",
"USS Quasar",
"USS Explorer",
"USS Dauntless",
"USS Discovery",
"USS Breedlove",
"USS Sarek",
"USS Utopia",
"USS Challenger",
"USS Venture",
"USS Trinculo",
"USS Bright",
"USS Brahe",
"USS Magellan",
"USS Al",
"USS Christopher",
"USS Solomon",
"USS Val'Tamar",
"USS Carolina",
"USS Worcester",
"USS Jericho",
"USS Kahless",
"USS Pharaoh",
"USS Pride",
"USS Courageous",
"USS Lightbringer",
"USS Righteousness",
"USS Defender",
"USS Firestone",
"USS Earthmover",
"USS Nebula",
"USS Pulsar",
"USS Phenomenon",
"USS Shikoku",
"USS Baltic",
"USS Dalmatia",
"USS Cu'Chulainn",
"USS Ja'Fadey",
"USS Ironclad",
"USS Northstar",
"USS Trafalgar",
"USS Halifax",
"USS Hundred",
"USS Examiner",
"USS Ordeal",
"USS Starlight",
"USS Musket",
"USS Monastic",
"USS Mercury",
"USS Venezuela",
"USS Partisan",
"USS Regular",
"USS Merrimack",
"USS Kensington",
"USS Bennington",
"USS Redoubt",
"USS Ascension",
"USS Lexington",
"USS Argo",
"USS Inverness",
"USS Archangel",
"USS Ragnarok",
"USS Monition",
"USS Nereide",
"USS Phobos",
"USS Echelon",
"USS Hansa",
"USS Soldier",
"USS T'Vran",
"USS Fanfare",
"USS Othello",
"USS Sara",
"USS Maelstrom",
"USS Bradley",
"USS Gianfranco",
"USS Judith",
"USS Englund",
"USS Tesla",
"USS Darwin",
"USS Kasparaitis",
"USS Hofer",
"USS Fermi",
"USS T'Kumbra",
"USS Delphi",
"USS Kragite",
"USS Kenia",
"USS Santiago",
"USS Horus",
"USS Canberra",
"USS Adelaide",
"USS Buenos",
"USS Redmond",
"USS Guernsey",
"USS Bahamut",
"USS Shiva",
"USS Siren",
"USS Pan",
"USS Antchar",
"USS Oracle",
"USS Audacious",
"USS Meridian",
"USS Conqueror",
"USS Reverent",
"USS Willamette",
"USS Constable",
"USS Alpine",
"USS Senator",
"USS Methuselah",
"USS Advocate",
"USS Member",
"USS Messiah",
"USS Stranger",
"USS Animator",
"USS Sibling",
"USS Gunner",
"USS Editor",
"USS Deuteronomy",
"USS Aeon",
"USS Mir",
"USS Ignus",
"USS Labrador",
"USS Ordnance",
"USS Karma",
"USS Watcher",
"USS Calcutta",
"USS Mizar",
"USS Paramount",
"USS Memorial",
"USS Cassini",
"USS Skybolt",
"USS Dante",
"USS Lagrange",
"USS Endicott",
"USS Epic",
"USS Adamant",
"USS Highwayman",
"USS Palmyrean",
"USS Dreamer",
"USS Nostromo",
"USS Starquest",
"USS Vindicator",
"USS Coyote",
"USS Brimstone",
"USS Oriflamme",
"USS Gambler",
"USS Kodiak",
"USS Genesis",
"USS Judgement",
"USS Wangtan",
"USS Berkeley",
"USS Opportunity",
"USS Matriarch",
"USS Resilient",
"USS Dragon",
"USS Shark",
"USS Hawk",
"USS Crawlworm",
"USS Condor",
"USS Rabbit",
"USS Gator",
"USS Ogre",
"USS Raccoon",
"USS Farrier",
"USS Pequod",
"USS Jackhammer",
"USS Cartel",
"USS Labyrinth",
"USS Universal",
"USS Ravine",
"USS Seaman",
"USS Zion",
"USS Robust",
"USS Gilgamesh",
"USS Leader",
"USS Tsunami",
"USS Cage",
"USS Jetta",
"USS Rijeka",
"USS Reactor",
"USS Empire",
"USS Athena",
"USS Victoria",
"USS Fencer",
"USS Ignitor",
"USS Savior",
"USS University",
"USS Castle",
"USS Racer",
"USS Objector",
"USS Permit",
"USS Quetzalcotl",
"USS Nirvana",
"USS Unique",
"USS Outpost",
"USS Overture",
"USS Citation",
"USS Millenia",
"USS Adventurer",
"USS Desert",
"USS Nocturne",
"USS Cobalt",
"USS Jewel",
"USS Shelter",
"USS Traveller",
"USS Modern",
"USS Ancestor",
"USS Tragedy",
"USS Vostok",
"USS Seaview",
"USS Ultimatum",
"USS Otkrietia",
"USS Occult",
"USS Rider",
"USS Sirocco",
"USS Generation",
"USS Postulate",
"USS Steeler",
"USS Momentum",
"USS Hardened",
"USS Inventer",
"USS Swansea",
"USS Jigsaw",
"USS Firestreak",
"USS Anniversary",
"USS Resolution",
"USS Benevolence",
"USS Urban",
"USS General",
"USS Blacksmith",
"USS Oasis",
"USS Sunday",
"USS Fission",
"USS Blade",
"USS Union",
"USS Monument",
"USS Farmer",
"USS Obelisk",
"USS Comrade",
"USS MacIntyre",
"USS MacLir",
"USS MacAndrew",
"USS MacDonald",
"USS MacIntosh",
"USS Abbey",
"USS Mnemonic",
"USS Pacifier",
"USS Zulu",
"USS Occupier",
"USS Jammer",
"USS Gathering",
"USS Maturity",
"USS Fakir",
"USS Kestrel",
"USS Quantum",
"USS Leeds",
"USS Evasion",
"USS Companion",
"USS Origin",
"USS Bison",
"USS Mission",
"USS Knighthood",
"USS Rattler",
"USS Omen",
"USS Bonchune",
"USS Hemingway",
"USS Legion",
"USS Ranker",
"USS Advancer",
"USS Whitehall",
"USS Fidelity",
"USS Crete",
"USS Bonaventure",
"USS Contact",
"USS Labourer",
"USS Protagonist",
"USS Centennial",
"USS Infinity",
"USS Versailles",
"USS Rampage",
"USS Escapade",
"USS Signature",
"USS Opal",
"USS Experience",
"USS Accessor",
"USS Timberwolf",
"USS Principle",
"USS Measure",
"USS Receptor",
"USS Duellant",
"USS Mutiny",
"USS Ransom",
"USS Venerable",
"USS Creditor",
"USS Endeavour",
"USS Operator",
"USS Slammer",
"USS Greenhorn",
"USS Oblivion",
"USS Intangible",
"USS Fortune",
"USS Lighthouse",
"USS Scavenger",
"USS Sutherland",
"USS Primus",
"USS Eradicator",
"USS Seramis",
"USS Tundra",
"USS Crypt",
"USS Sabre",
"USS Velvet",
"USS Audience",
"USS Gautier",
"USS Benson",
"USS Tigershark",
"USS Huron",
"USS Tannhauser",
"USS M'Harien",
"USS Maisoneuve",
"USS Parade",
"USS Prophet",
"USS Gypsy",
"USS Van",
"USS Zanzarah",
"USS Comfort",
"USS Rifle",
"USS Carpet",
"USS Forge",
"USS Nominal",
"USS Compass",
"USS Cloud",
"USS Vixen",
"USS Embraer",
"USS Humid",
"USS Able",
"USS Dolland",
"USS Dakar",
"USS Ithaca",
"USS Fairbanks",
"USS Canaris",
"USS Lambert",
"USS Kingfisher",
"USS Alert",
"USS Spica",
"USS Patuxent",
"USS Jo'Etal",
"USS Donahue",
"USS Biscaye",
"USS Cordoba",
"USS Sovereign",
"USS Bragg",
"USS Bowers",
"USS Tempest",
"USS Yamato",
"USS Khitomer",
"USS Excelsior",
"USS Bedford",
"USS Dominance",
"USS Broadsword",
"USS Carlton",
"USS Canopus",
"USS Argus",
"USS Steamrunner",
"USS Franklin",
"USS Midway",
"USS Hiroshima",
"USS Australia",
"USS Saratoga",
"USS Silverrunner",
"USS Bonhomme",
"USS Frunze",
"USS Ticonderoga",
"USS Farragut",
"USS Appalachia",
"USS Himalayas",
"USS Tharsis",
"USS Forrestal",
"USS Dauphin",
"USS Wasp",
"USS Europe",
"USS Shangri",
"USS Gallery",
"USS Steamrunner",
"USS Leyte",
"USS Yorktown",
"USS Hecate",
"USS Dunkerque",
"USS Meko",
"USS Burden",
"USS Slava",
"USS Clemenceau",
"USS America",
"USS Richelieu",
"USS Boxer",
"USS Regal",
"USS Decatur",
"USS Gneisenau",
"USS Kearsage",
"USS Yarnell",
"USS Bunker",
"USS Leander",
"USS Tripoli",
"USS Foch",
"USS Reprisal",
"USS Antietam",
"USS Hood",
"USS Akira",
"USS Skate",
"USS Coral",
"USS Langley",
"USS Belleau",
"USS Cowpens",
"USS Strela",
"USS Talon",
)

for name in mynameslist:
	Races["Federation"].AddName(name)
